Subject: [bug#52927] [PATCH] gnu: tup: Update to 0.7.11.

From: Morgan Smith <[email-masked]>
Date: Sat, 01 Jan 2022 13:56:29 -0500

[email-masked] writes:
>> fuse: failed to exec fusermount3: No such file or directory

Well it has been a year so I thought I'd come back to this.  I figured
it out.  It needs to run fusermount from /run/setuid-programs because it
needs those permissions I guess.  So running this program depends on the
user's system configuration which I don't think is a good thing (and
probably translates badly on foreign distros.)

If I could get someone more knowledgeable then me to weigh in here that
would be great because I have no clue how to proceed.

If I install fuse-3 alongside tup built with fuse-3 then I get the
following error.  If fuse-3 is installed as a setuid program it works
perfectly.  The only reason everything currently works is because we
install fuse by default as a setuid program.

> fusermount3: mount failed: Operation not permitted